Subject: Re: Microblaze merge

From: Michal Simek <[email-masked]>
Date: Wed, 27 May 2009 15:06:23 +0200

Stephen Rothwell wrote:
> HI Michal,
>
> On Wed, 27 May 2009 09:22:36 +0200 Michal Simek <[email-masked]> wrote:
>   
>> Can you please merge my next branch to linux-next?
>>
>> The following changes since commit 5805977e63a36ad56594a623f3bd2bebcb7db233:
>>   Linus Torvalds (1):
>>         Merge branch 'for-linus' of git://git.kernel.org/.../jbarnes/drm-2.6
>>
>> are available in the git repository at:
>>
>>   git://git.monstr.eu/linux-2.6-microblaze.git next
>>     
>
> I have added it to the end of the tree for today (you just caught me in
> time :-)).  Tomorrow it will be moved back with all the other
> architectures.
>   
;-)

> What I tell everyone: all patches/commits in the tree/series must
> have been:
>
> 	posted to a relevant mailing list
>   
was
> 	reviewed
It was reviewed v1 - v2 contains all reported problems
> 	unit tested
I tested it
> 	destined for the next merge window (or the current release)
>   
it is for next merge open window.
> *before* they are included.  The linux-next tree is for integration
> testing and to lower the impact of conflicts between subsystems in the
> next merge window.
>   
I would like to know that Kconfig changes (enabling some drivers) + Arnd
generic changes
not caused any problem which I should know about.
> Basically, this should be just what you would send to Linus (or ask him
> to fetch).  It is allowed to be rebased if you deem it necessary.
>   
next branch is based on my for-linus branch - There are only microblaze
specific changes in arch/microblaze
and these changes shouldn't have impact to any subsystem that's why I
don't expect any problem in it.

If I am wrong in anything let me know. This is my first "pull request to
linux-next".

I see the first problem that I should use {GIT PULL] prefix in subject.

Thanks,
Michal

-- 
Michal Simek, Ing. (M.Eng)
PetaLogix - Linux Solutions for a Reconfigurable World
w: www.petalogix.com p: +61-7-30090663,+42-0-721842854 f: +61-7-30090663